<?php
require_once 'conexao.php';
require_once 'config.php';
require 'funcoes.php';

$pdo  = Conexao::getInstance();
$sql = "SELECT mat_001, b_peso_balanca, mat_003, mat_004, b_venda_tamanho, c.cat_001, tamanho_padrao, ";

if ( isset($_COOKIE['valorDeliveryComanda']) && $_COOKIE['valorDeliveryComanda'] == 1 ):
	$sql .= "COALESCE(valor_tam_p_delivery, 0.00) as valor_tam_p, COALESCE(valor_tam_m_delivery, 0.00) as valor_tam_m,   ";
	$sql .= "COALESCE(valor_tam_g_delivery, 0.00) as valor_tam_g, COALESCE(valor_tam_gg_delivery, 0.00) as valor_tam_gg, ";
	$sql .= "COALESCE(valor_tam_extra_delivery, 0.00) as valor_tam_extra, ";
else:
	$sql .= "COALESCE(valor_tam_p, 0.00) as valor_tam_p, COALESCE(valor_tam_m, 0.00) as valor_tam_m,   ";
	$sql .= "COALESCE(valor_tam_g, 0.00) as valor_tam_g, COALESCE(valor_tam_gg, 0.00) as valor_tam_gg, ";
	$sql .= "COALESCE(valor_tam_extra, 0.00) as valor_tam_extra, ";
endif;

$sql .="descricao, c.cat_002, mat_008, mat_021 as impressora, fracionado, (SELECT COUNT(id) FROM etapa_produtos WHERE status = 1 AND id_produto = mat_004) as possui_etapa, rodizio ";
$sql .= "FROM materiais m INNER JOIN categoria c ON m.cat_001 = c.cat_001 ";
$sql .= "WHERE m.sit_001 = 4 AND c.exibe_comanda = 1 ";

switch (CAMPO_ORDENACAO_PRODUTO) :
	case 'CODIGO':
		$sql .= "ORDER BY c.cat_002 ASC, mat_004";
		break;
	case 'DESCRICAO':
		$sql .= "ORDER BY c.cat_002 ASC, mat_003";
		break;
	default:
		$sql .= "ORDER BY c.cat_002 ASC, mat_003";
		break;
endswitch;

switch (TIPO_ORDENACAO_PRODUTO) :
	case 'ASC':
		$sql .= " ASC";
		break;
	case 'DESC':
		$sql .= " DESC";
		break;
	default:
		$sql .= " ASC";
		break;
endswitch;

$stm = $pdo->prepare($sql);
$stm->execute();
$produtos = $stm->fetchAll(PDO::FETCH_OBJ);

$sql = "SELECT DISTINCT tamanho_p, tamanho_m, tamanho_g, tamanho_gg, tamanho_extra ";
$sql .= "FROM desc_tamanho_material ";
$stm = $pdo->prepare($sql);
$stm->execute();
$tamanhos = $stm->fetch(PDO::FETCH_OBJ);

// ENVIA COMO MESA, MAS SE ESTIVER CONFIGURADO COOKIE, USA VALOR DO DELIVERY NOS PEDIDOS
// $canal = (isset($_COOKIE['valorDeliveryComanda']) && $_COOKIE['valorDeliveryComanda'] == 1) ? 'C' : 'M';
// foreach($produtos as $produto):

// 	$valor_unitario = '';
// 	if ($produto->b_venda_tamanho):
// 		if (!empty($produto->valor_tam_p) && $produto->valor_tam_p != 0.00):
// 			// $valor_unitario .= substr($tamanhos->tamanho_p, 0, 3) . '. ' . number_format($produto->valor_tam_p, 2, ',', '.');
// 			$valor_unitario = substr($tamanhos->tamanho_p, 0, 3) . '. ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'P', $canal), 2, ',', '.');
// 		endif;

// 		if (!empty($produto->valor_tam_m) && $produto->valor_tam_m != 0.00):
// 			$valor_unitario .= ' / ' . substr($tamanhos->tamanho_m, 0, 3) . '. ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'M', $canal), 2, ',', '.');
// 		endif;

// 		if (!empty($produto->valor_tam_g) && $produto->valor_tam_g != 0.00):
// 			$valor_unitario .= ' / ' . substr($tamanhos->tamanho_g, 0, 3) . '. ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'G', $canal), 2, ',', '.');
// 		endif;

// 		if (!empty($produto->valor_tam_gg) && $produto->valor_tam_gg != 0.00):
// 			$valor_unitario .= ' / ' . substr($tamanhos->tamanho_gg, 0, 3) . '. ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'GG', $canal), 2, ',', '.');
// 		endif;

// 		if (!empty($produto->valor_tam_extra) && $produto->valor_tam_extra != 0.00):
// 			$valor_unitario .= ' / ' . substr($tamanhos->tamanho_extra, 0, 3) . '. ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'E', $canal), 2, ',', '.');
// 		endif;
// 	else:
// 		$valor_unitario = 'R$ ' . number_format(CapturaValorNormalOuPromocao($produto->mat_001, 'M', $canal), 2, ',', '.');
// 	endif;
// endforeach;

echo json_encode($produtos);
?>